import json
from typing import Optional, List, Dict

def convert_tags(tags: Optional[Dict[str, str]] = None) -> Optional[List[str]]:
    """
    Convert tags to a list of strings.
    """
    if not tags:
        return []
    return [f"{k}:{v}" for k, v in (tags or {}).items()]

def prepare_json_payload(payload: Dict) -> str:
    """
    Prepare a JSON payload for Sumologic.
    """
    return json.dumps(payload)
